Bug 1899678 (CVE-2020-25710) - CVE-2020-25710 openldap: assertion failure in CSN normalization with invalid input
Summary: CVE-2020-25710 openldap: assertion failure in CSN normalization with invalid ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-25710
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1899679 1900140 2040538
Blocks: 1899680
TreeView+ depends on / blocked
 
Reported: 2020-11-19 19:03 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-03-02 22:20 UTC (History)
48 users (show)

See Also:
Fixed In Version: openldap 2.4.56
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in OpenLDAP. This flaw allows an attacker who sends a malicious packet processed by OpenLDAP to force a failed assertion in csnNormalize23(). The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2022-03-02 22:20:23 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0621 0 None None None 2022-02-22 17:00:02 UTC

Description Guilherme de Almeida Suckevicz 2020-11-19 19:03:08 UTC
A malicious packet can force OpenLDAP to fail an assertion in csnNormalize23 function in servers/slapd/schema_init.c.

Reference:
https://bugs.openldap.org/show_bug.cgi?id=9384

Upstream patch:
https://git.openldap.org/openldap/openldap/-/commit/bdb0d459187522a6063df13871b82ba8dcc6efe2

Comment 1 Guilherme de Almeida Suckevicz 2020-11-19 19:03:32 UTC
Created openldap tracking bugs for this issue:

Affects: fedora-all [bug 1899679]

Comment 8 Todd Cullum 2020-12-02 17:54:28 UTC
Statement:

This flaw does not affect Red Hat Enterprise Linux 8 because the slapd server is not shipped in the Red Hat Enterprise Linux 8 repositories.

Comment 14 errata-xmlrpc 2022-02-22 16:59:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0621 https://access.redhat.com/errata/RHSA-2022:0621

Comment 15 Product Security DevOps Team 2022-03-02 22:20:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-25710


Note You need to log in before you can comment on or make changes to this bug.